diff --git a/dirsrvtests/tests/tickets/ticket47900_test.py b/dirsrvtests/tests/tickets/ticket47900_test.py
index ae3da98..8da5312 100644
--- a/dirsrvtests/tests/tickets/ticket47900_test.py
+++ b/dirsrvtests/tests/tickets/ticket47900_test.py
@@ -13,6 +13,7 @@ import pytest
 from lib389 import Entry
 from lib389._constants import *
 from lib389.topologies import topology_st
+from lib389.utils import *
 
 log = logging.getLogger(__name__)
 
@@ -50,24 +51,20 @@ def test_ticket47900(topology_st):
     try:
         topology_st.standalone.add_s(entry)
     except ldap.LDAPError as e:
-        topology_st.standalone.log.error('Unexpected result ' + e.message['desc'])
+        topology_st.standalone.log.error('Unexpected result ' + e.args[0]['desc'])
         assert False
         topology_st.standalone.log.error("Failed to add Password Administator %s, error: %s "
-                                         % (ADMIN_DN, e.message['desc']))
+                                         % (ADMIN_DN, e.args[0]['desc']))
         assert False
 
     topology_st.standalone.log.info("Configuring password policy...")
-    try:
-        topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'nsslapd-pwpolicy-local', 'on'),
-                                                    (ldap.MOD_REPLACE, 'passwordCheckSyntax', 'on'),
-                                                    (ldap.MOD_REPLACE, 'passwordMinCategories', '1'),
-                                                    (ldap.MOD_REPLACE, 'passwordMinTokenLength', '1'),
-                                                    (ldap.MOD_REPLACE, 'passwordExp', 'on'),
-                                                    (ldap.MOD_REPLACE, 'passwordMinDigits', '1'),
-                                                    (ldap.MOD_REPLACE, 'passwordMinSpecials', '1')])
-    except ldap.LDAPError as e:
-        topology_st.standalone.log.error('Failed configure password policy: ' + e.message['desc'])
-        assert False
+    topology_st.standalone.config.replace_many(('nsslapd-pwpolicy-local', 'on'),
+                                               ('passwordCheckSyntax', 'on'),
+                                               ('passwordMinCategories', '1'),
+                                               ('passwordMinTokenLength', '1'),
+                                               ('passwordExp', 'on'),
+                                               ('passwordMinDigits', '1'),
+                                               ('passwordMinSpecials', '1'))
 
     #
     # Add an aci to allow everyone all access (just makes things easier)
@@ -79,22 +76,14 @@ def test_ticket47900(topology_st):
     ACI_ALLOW = "(version 3.0; acl \"Password Admin Access\"; allow (all) "
     ACI_SUBJECT = "(userdn = \"ldap:///anyone\");)"
     ACI_BODY = ACI_TARGET + ACI_TARGETATTR + ACI_ALLOW + ACI_SUBJECT
-    mod = [(ldap.MOD_ADD, 'aci', ACI_BODY)]
-    try:
-        topology_st.standalone.modify_s(SUFFIX, mod)
-    except ldap.LDAPError as e:
-        topology_st.standalone.log.error('Failed to add aci for password admin: ' + e.message['desc'])
-        assert False
+    mod = [(ldap.MOD_ADD, 'aci', ensure_bytes(ACI_BODY))]
+    topology_st.standalone.modify_s(SUFFIX, mod)
 
     #
     # Bind as the Password Admin
     #
     topology_st.standalone.log.info("Bind as the Password Administator (before activating)...")
-    try:
-        topology_st.standalone.simple_bind_s(ADMIN_DN, ADMIN_PWD)
-    except ldap.LDAPError as e:
-        topology_st.standalone.log.error('Failed to bind as the Password Admin: ' + e.message['desc'])
-        assert False
+    topology_st.standalone.simple_bind_s(ADMIN_DN, ADMIN_PWD)
 
     #
     # Setup our test entry, and test password policy is working
@@ -118,7 +107,7 @@ def test_ticket47900(topology_st):
             # We failed as expected
             failed_as_expected = True
             topology_st.standalone.log.info('Add failed as expected: password (%s) result (%s)'
-                                            % (passwd, e.message['desc']))
+                                            % (passwd, e.args[0]['desc']))
 
         if not failed_as_expected:
             topology_st.standalone.log.error("We were incorrectly able to add an entry " +
@@ -132,25 +121,13 @@ def test_ticket47900(topology_st):
     topology_st.standalone.log.info("Activate the Password Administator...")
 
     # Bind as Root DN
-    try:
-        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
-    except ldap.LDAPError as e:
-        topology_st.standalone.log.error('Root DN failed to authenticate: ' + e.message['desc'])
-        assert False
+    topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
 
     # Update config
-    try:
-        topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'passwordAdminDN', ADMIN_DN)])
-    except ldap.LDAPError as e:
-        topology_st.standalone.log.error('Failed to add password admin to config: ' + e.message['desc'])
-        assert False
+    topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'passwordAdminDN', ensure_bytes(ADMIN_DN))])
 
     # Bind as Password Admin
-    try:
-        topology_st.standalone.simple_bind_s(ADMIN_DN, ADMIN_PWD)
-    except ldap.LDAPError as e:
-        topology_st.standalone.log.error('Failed to bind as the Password Admin: ' + e.message['desc'])
-        assert False
+    topology_st.standalone.simple_bind_s(ADMIN_DN, ADMIN_PWD)
 
     #
     # Start adding entries with invalid passwords, delete the entry after each pass.
@@ -158,32 +135,17 @@ def test_ticket47900(topology_st):
     for passwd in INVALID_PWDS:
         entry.setValues('userpassword', passwd)
         topology_st.standalone.log.info("Create a regular user entry %s with password (%s)..." % (ENTRY_DN, passwd))
-        try:
-            topology_st.standalone.add_s(entry)
-        except ldap.LDAPError as e:
-            topology_st.standalone.log.error('Failed to add entry with password (%s) result (%s)'
-                                             % (passwd, e.message['desc']))
-            assert False
+        topology_st.standalone.add_s(entry)
 
         topology_st.standalone.log.info('Succesfully added entry (%s)' % ENTRY_DN)
 
         # Delete entry for the next pass
-        try:
-            topology_st.standalone.delete_s(ENTRY_DN)
-        except ldap.LDAPError as e:
-            topology_st.standalone.log.error('Failed to delete entry: %s' % (e.message['desc']))
-            assert False
-
+        topology_st.standalone.delete_s(ENTRY_DN)
     #
     # Add the entry for the next round of testing (modify password)
     #
     entry.setValues('userpassword', ADMIN_PWD)
-    try:
-        topology_st.standalone.add_s(entry)
-    except ldap.LDAPError as e:
-        topology_st.standalone.log.error('Failed to add entry with valid password (%s) result (%s)'
-                                         % (passwd, e.message['desc']))
-        assert False
+    topology_st.standalone.add_s(entry)
 
     #
     # Deactivate the password admin and make sure invalid password updates fail
@@ -191,25 +153,13 @@ def test_ticket47900(topology_st):
     topology_st.standalone.log.info("Deactivate Password Administator and try invalid password updates...")
 
     # Bind as root DN
-    try:
-        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
-    except ldap.LDAPError as e:
-        topology_st.standalone.log.error('Root DN failed to authenticate: ' + e.message['desc'])
-        assert False
+    topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
 
-    # Update config
-    try:
-        topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_DELETE, 'passwordAdminDN', None)])
-    except ldap.LDAPError as e:
-        topology_st.standalone.log.error('Failed to remove password admin from config: ' + e.message['desc'])
-        assert False
+    # Update conf
+    topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_DELETE, 'passwordAdminDN', None)])
 
     # Bind as Password Admin
-    try:
-        topology_st.standalone.simple_bind_s(ADMIN_DN, ADMIN_PWD)
-    except ldap.LDAPError as e:
-        topology_st.standalone.log.error('Failed to bind as the Password Admin: ' + e.message['desc'])
-        assert False
+    topology_st.standalone.simple_bind_s(ADMIN_DN, ADMIN_PWD)
 
     #
     # Make invalid password updates that should fail
@@ -218,12 +168,12 @@ def test_ticket47900(topology_st):
         failed_as_expected = False
         entry.setValues('userpassword', passwd)
         try:
-            topology_st.standalone.modify_s(ENTRY_DN, [(ldap.MOD_REPLACE, 'userpassword', passwd)])
+            topology_st.standalone.modify_s(ENTRY_DN, [(ldap.MOD_REPLACE, 'userpassword', ensure_bytes(passwd))])
         except ldap.LDAPError as e:
             # We failed as expected
             failed_as_expected = True
             topology_st.standalone.log.info('Password update failed as expected: password (%s) result (%s)'
-                                            % (passwd, e.message['desc']))
+                                            % (passwd, e.args[0]['desc']))
 
         if not failed_as_expected:
             topology_st.standalone.log.error("We were incorrectly able to add an invalid password (%s)"
@@ -235,38 +185,21 @@ def test_ticket47900(topology_st):
     #
     topology_st.standalone.log.info("Activate Password Administator and try updates again...")
 
-    # Bind as root DN
-    try:
-        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
-    except ldap.LDAPError as e:
-        topology_st.standalone.log.error('Root DN failed to authenticate: ' + e.message['desc'])
-        assert False
+    # Bind as root D
+    topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
 
     # Update config
-    try:
-        topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'passwordAdminDN', ADMIN_DN)])
-    except ldap.LDAPError as e:
-        topology_st.standalone.log.error('Failed to add password admin to config: ' + e.message['desc'])
-        assert False
+    topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'passwordAdminDN', ensure_bytes(ADMIN_DN))])
 
     # Bind as Password Admin
-    try:
-        topology_st.standalone.simple_bind_s(ADMIN_DN, ADMIN_PWD)
-    except ldap.LDAPError as e:
-        topology_st.standalone.log.error('Failed to bind as the Password Admin: ' + e.message['desc'])
-        assert False
+    topology_st.standalone.simple_bind_s(ADMIN_DN, ADMIN_PWD)
 
     #
     # Make the same password updates, but this time they should succeed
     #
     for passwd in INVALID_PWDS:
         entry.setValues('userpassword', passwd)
-        try:
-            topology_st.standalone.modify_s(ENTRY_DN, [(ldap.MOD_REPLACE, 'userpassword', passwd)])
-        except ldap.LDAPError as e:
-            topology_st.standalone.log.error('Password update failed unexpectedly: password (%s) result (%s)'
-                                             % (passwd, e.message['desc']))
-            assert False
+        topology_st.standalone.modify_s(ENTRY_DN, [(ldap.MOD_REPLACE, 'userpassword', ensure_bytes(passwd))])
         topology_st.standalone.log.info('Password update succeeded (%s)' % passwd)
 
 
diff --git a/dirsrvtests/tests/tickets/ticket47910_test.py b/dirsrvtests/tests/tickets/ticket47910_test.py
index 5638419..35945d1 100644
--- a/dirsrvtests/tests/tickets/ticket47910_test.py
+++ b/dirsrvtests/tests/tickets/ticket47910_test.py
@@ -22,6 +22,8 @@ from lib389.utils import *
 
 # Skip on older versions
 pytestmark = pytest.mark.skipif(ds_is_older('1.3.4'), reason="Not implemented")
+
+
 @pytest.fixture(scope="module")
 def log_dir(topology_st):
     '''
@@ -60,8 +62,8 @@ def execute_logconv(inst, start_time_stamp, end_time_stamp, access_log):
     log.info(" ".join(cmd))
     proc = subprocess.Popen(cmd, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
     stdout, stderr = proc.communicate()
-    log.info("standard output" + stdout)
-    log.info("standard errors" + stderr)
+    log.info("standard output" + ensure_str(stdout))
+    log.info("standard errors" + ensure_str(stderr))
     return proc.returncode
 
 
@@ -151,8 +153,8 @@ def test_ticket47910_logconv_noaccesslogs(topology_st, log_dir):
     log.info(" ".join(cmd))
     proc = subprocess.Popen(cmd, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
     stdout, stderr = proc.communicate()
-    log.info("standard output" + stdout)
-    log.info("standard errors" + stderr)
+    log.info("standard output" + ensure_str(stdout))
+    log.info("standard errors" + ensure_str(stderr))
 
     assert proc.returncode == 1
 
diff --git a/dirsrvtests/tests/tickets/ticket47920_test.py b/dirsrvtests/tests/tickets/ticket47920_test.py
index 3db5d8d..2081100 100644
--- a/dirsrvtests/tests/tickets/ticket47920_test.py
+++ b/dirsrvtests/tests/tickets/ticket47920_test.py
@@ -105,11 +105,11 @@ def test_ticket47920_mod_readentry_ctrl(topology_st):
     topology_st.standalone.log.info("Check the initial value of the entry")
     ent = topology_st.standalone.getEntry(ACTIVE_USER_DN, ldap.SCOPE_BASE, "(objectclass=*)", ['description'])
     assert ent.hasAttr('description')
-    assert ent.getValue('description') == INITIAL_DESC
+    assert ensure_str(ent.getValue('description')) == INITIAL_DESC
 
     pr = PostReadControl(criticality=True, attrList=['cn', 'description'])
     _, _, _, resp_ctrls = topology_st.standalone.modify_ext_s(ACTIVE_USER_DN,
-                                                              [(ldap.MOD_REPLACE, 'description', [FINAL_DESC])],
+                                                              [(ldap.MOD_REPLACE, 'description', [ensure_bytes(FINAL_DESC)])],
                                                               serverctrls=[pr])
 
     assert resp_ctrls[0].dn == ACTIVE_USER_DN
@@ -119,7 +119,7 @@ def test_ticket47920_mod_readentry_ctrl(topology_st):
 
     ent = topology_st.standalone.getEntry(ACTIVE_USER_DN, ldap.SCOPE_BASE, "(objectclass=*)", ['description'])
     assert ent.hasAttr('description')
-    assert ent.getValue('description') == FINAL_DESC
+    assert ensure_str(ent.getValue('description')) == FINAL_DESC
 
 
 if __name__ == '__main__':
diff --git a/dirsrvtests/tests/tickets/ticket47921_test.py b/dirsrvtests/tests/tickets/ticket47921_test.py
index 2d2d35d..990abe7 100644
--- a/dirsrvtests/tests/tickets/ticket47921_test.py
+++ b/dirsrvtests/tests/tickets/ticket47921_test.py
@@ -25,79 +25,55 @@ def test_ticket47921(topology_st):
     USER_DN = 'uid=user,ou=people,' + DEFAULT_SUFFIX
 
     # Add COS definition
-    try:
-        topology_st.standalone.add_s(Entry((INDIRECT_COS_DN,
-                                            {
-                                                'objectclass': 'top cosSuperDefinition cosIndirectDefinition ldapSubEntry'.split(),
-                                                'cosIndirectSpecifier': 'manager',
-                                                'cosAttribute': 'roomnumber'
-                                                })))
-    except ldap.LDAPError as e:
-        log.fatal('Failed to add cos defintion, error: ' + e.message['desc'])
-        assert False
+    topology_st.standalone.add_s(Entry((INDIRECT_COS_DN,
+                                        {
+                                            'objectclass': 'top cosSuperDefinition cosIndirectDefinition ldapSubEntry'.split(),
+                                            'cosIndirectSpecifier': 'manager',
+                                            'cosAttribute': 'roomnumber'
+                                            })))
 
     # Add manager entry
-    try:
-        topology_st.standalone.add_s(Entry((MANAGER_DN,
-                                            {'objectclass': 'top extensibleObject'.split(),
-                                             'uid': 'my manager',
-                                             'roomnumber': '1'
-                                             })))
-    except ldap.LDAPError as e:
-        log.fatal('Failed to add manager entry, error: ' + e.message['desc'])
-        assert False
+    topology_st.standalone.add_s(Entry((MANAGER_DN,
+                                        {'objectclass': 'top extensibleObject'.split(),
+                                         'uid': 'my manager',
+                                         'roomnumber': '1'
+                                         })))
 
     # Add user entry
-    try:
-        topology_st.standalone.add_s(Entry((USER_DN,
-                                            {'objectclass': 'top person organizationalPerson inetorgperson'.split(),
-                                             'sn': 'last',
-                                             'cn': 'full',
-                                             'givenname': 'mark',
-                                             'uid': 'user',
-                                             'manager': MANAGER_DN
-                                             })))
-    except ldap.LDAPError as e:
-        log.fatal('Failed to add manager entry, error: ' + e.message['desc'])
-        assert False
+    topology_st.standalone.add_s(Entry((USER_DN,
+                                        {'objectclass': 'top person organizationalPerson inetorgperson'.split(),
+                                         'sn': 'last',
+                                         'cn': 'full',
+                                         'givenname': 'mark',
+                                         'uid': 'user',
+                                         'manager': MANAGER_DN
+                                         })))
 
     # Test COS is working
-    try:
-        entry = topology_st.standalone.search_s(DEFAULT_SUFFIX, ldap.SCOPE_SUBTREE,
-                                                "uid=user",
-                                                ['roomnumber'])
-        if entry:
-            if entry[0].getValue('roomnumber') != '1':
-                log.fatal('COS is not working.')
-                assert False
-        else:
-            log.fatal('Failed to find user entry')
+    entry = topology_st.standalone.search_s(DEFAULT_SUFFIX, ldap.SCOPE_SUBTREE,
+                                            "uid=user",
+                                            ['roomnumber'])
+    if entry:
+        if ensure_str(entry[0].getValue('roomnumber')) != '1':
+            log.fatal('COS is not working.')
             assert False
-    except ldap.LDAPError as e:
-        log.error('Failed to search for user entry: ' + e.message['desc'])
+    else:
+        log.fatal('Failed to find user entry')
         assert False
 
     # Modify manager entry
-    try:
-        topology_st.standalone.modify_s(MANAGER_DN, [(ldap.MOD_REPLACE, 'roomnumber', '2')])
-    except ldap.LDAPError as e:
-        log.error('Failed to modify manager entry: ' + e.message['desc'])
-        assert False
+    topology_st.standalone.modify_s(MANAGER_DN, [(ldap.MOD_REPLACE, 'roomnumber', b'2')])
 
     # Confirm COS is returning the new value
-    try:
-        entry = topology_st.standalone.search_s(DEFAULT_SUFFIX, ldap.SCOPE_SUBTREE,
-                                                "uid=user",
-                                                ['roomnumber'])
-        if entry:
-            if entry[0].getValue('roomnumber') != '2':
-                log.fatal('COS is not working after manager update.')
-                assert False
-        else:
-            log.fatal('Failed to find user entry')
+    entry = topology_st.standalone.search_s(DEFAULT_SUFFIX, ldap.SCOPE_SUBTREE,
+                                            "uid=user",
+                                            ['roomnumber'])
+    if entry:
+        if ensure_str(entry[0].getValue('roomnumber')) != '2':
+            log.fatal('COS is not working after manager update.')
             assert False
-    except ldap.LDAPError as e:
-        log.error('Failed to search for user entry: ' + e.message['desc'])
+    else:
+        log.fatal('Failed to find user entry')
         assert False
 
     log.info('Test complete')
diff --git a/dirsrvtests/tests/tickets/ticket47988_test.py b/dirsrvtests/tests/tickets/ticket47988_test.py
index ee5d16e..ed61a2a 100644
--- a/dirsrvtests/tests/tickets/ticket47988_test.py
+++ b/dirsrvtests/tests/tickets/ticket47988_test.py
@@ -23,6 +23,7 @@ import pytest
 from lib389 import Entry
 from lib389._constants import *
 from lib389.topologies import topology_m2
+from lib389.utils import *
 
 logging.getLogger(__name__).setLevel(logging.DEBUG)
 log = logging.getLogger(__name__)
@@ -114,11 +115,11 @@ def test_ticket47988_init(topology_m2):
     _header(topology_m2, 'test_ticket47988_init')
 
     # enable acl error logging
-    mod = [(ldap.MOD_REPLACE, 'nsslapd-errorlog-level', str(8192))]  # REPL
+    mod = [(ldap.MOD_REPLACE, 'nsslapd-errorlog-level', ensure_bytes(str(8192)))]  # REPL
     topology_m2.ms["master1"].modify_s(DN_CONFIG, mod)
     topology_m2.ms["master2"].modify_s(DN_CONFIG, mod)
 
-    mod = [(ldap.MOD_REPLACE, 'nsslapd-accesslog-level', str(260))]  # Internal op
+    mod = [(ldap.MOD_REPLACE, 'nsslapd-accesslog-level', ensure_bytes(str(260)))]  # Internal op
     topology_m2.ms["master1"].modify_s(DN_CONFIG, mod)
     topology_m2.ms["master2"].modify_s(DN_CONFIG, mod)
 
@@ -164,7 +165,7 @@ def _do_update_schema(server, range=3999):
     NAME = 'thierry%s' % postfix
     value = '( %s NAME \'%s\' DESC \'Override for Group Attributes\' STRUCTURAL MUST ( cn ) MAY sn X-ORIGIN ( \'IPA v4.1.2\' \'user defined\' ) )' % (
     OID, NAME)
-    mod = [(ldap.MOD_ADD, 'objectclasses', value)]
+    mod = [(ldap.MOD_ADD, 'objectclasses', ensure_bytes(value))]
     server.modify_s('cn=schema', mod)
 
 
@@ -177,13 +178,13 @@ def _do_update_entry(supplier=None, consumer=None, attempts=10):
     assert (consumer)
     entryDN = "cn=%s0,%s" % (OTHER_NAME, SUFFIX)
     value = str(randint(100, 200))
-    mod = [(ldap.MOD_REPLACE, 'telephonenumber', value)]
+    mod = [(ldap.MOD_REPLACE, 'telephonenumber', ensure_bytes(value))]
     supplier.modify_s(entryDN, mod)
 
     loop = 0
     while loop <= attempts:
         ent = consumer.getEntry(entryDN, ldap.SCOPE_BASE, "(objectclass=*)", ['telephonenumber'])
-        read_val = ent.telephonenumber or "0"
+        read_val = ensure_str(ent.telephonenumber) or "0"
         if read_val == value:
             break
         # the expected value is not yet replicated. try again
diff --git a/dirsrvtests/tests/tickets/ticket48013_test.py b/dirsrvtests/tests/tickets/ticket48013_test.py
index f27e121..d5708f2 100644
--- a/dirsrvtests/tests/tickets/ticket48013_test.py
+++ b/dirsrvtests/tests/tickets/ticket48013_test.py
@@ -17,6 +17,7 @@ from lib389._constants import (PLUGIN_RETRO_CHANGELOG, DEFAULT_SUFFIX, DN_CONFIG
                               DN_DM, PASSWORD, PLUGIN_REPL_SYNC, HOST_STANDALONE,
                               PORT_STANDALONE)
 
+
 # Skip on older versions
 pytestmark = pytest.mark.skipif(ds_is_older('1.3.4'), reason="Not implemented")
 
@@ -47,9 +48,9 @@ def test_ticket48013(topology_st):
 
     # Enable dynamic plugins
     try:
-        topology_st.standalone.modify_s(DN_CONFIG, [(ldap.MOD_REPLACE, 'nsslapd-dynamic-plugins', 'on')])
+        topology_st.standalone.modify_s(DN_CONFIG, [(ldap.MOD_REPLACE, 'nsslapd-dynamic-plugins', b'on')])
     except ldap.LDAPError as e:
-        ldap.error('Failed to enable dynamic plugin!' + e.message['desc'])
+        log.error('Failed to enable dynamic plugin! {}'.format(e.args[0]['desc']))
         assert False
 
     # Enable retro changelog
@@ -67,7 +68,7 @@ def test_ticket48013(topology_st):
     try:
         ldap_connection.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
-        print('Login to LDAP server failed: %s' % e.message['desc'])
+        log.error('Login to LDAP server failed: {}'.format(e.args[0]['desc']))
         assert False
 
     # Test invalid cookies
@@ -79,7 +80,7 @@ def test_ticket48013(topology_st):
             log.fatal('Invalid cookie accepted!')
             assert False
         except Exception as e:
-            log.info('Invalid cookie correctly rejected: %s' % e.message['info'])
+            log.info('Invalid cookie correctly rejected: {}'.format(e.args[0]['info']))
             pass
 
     # Success
diff --git a/dirsrvtests/tests/tickets/ticket48026_test.py b/dirsrvtests/tests/tickets/ticket48026_test.py
index ae177ef..830beee 100644
--- a/dirsrvtests/tests/tickets/ticket48026_test.py
+++ b/dirsrvtests/tests/tickets/ticket48026_test.py
@@ -34,12 +34,12 @@ def test_ticket48026(topology_st):
     try:
         # This plugin enable / disable doesn't seem to create the nsslapd-pluginId correctly?
         inst.modify_s('cn=' + PLUGIN_ATTR_UNIQUENESS + ',cn=plugins,cn=config',
-                      [(ldap.MOD_REPLACE, 'uniqueness-attribute-name', 'mail'),
+                      [(ldap.MOD_REPLACE, 'uniqueness-attribute-name', b'mail'),
                        (ldap.MOD_ADD, 'uniqueness-attribute-name',
-                        'mailAlternateAddress'),
+                        b'mailAlternateAddress'),
                        ])
     except ldap.LDAPError as e:
-        log.fatal('test_ticket48026: Failed to configure plugin for "mail": error ' + e.message['desc'])
+        log.fatal('test_ticket48026: Failed to configure plugin for "mail": error {}'.format(e.args[0]['desc']))
         assert False
 
     inst.restart(timeout=30)
@@ -54,7 +54,7 @@ def test_ticket48026(topology_st):
                                      'mailAlternateAddress': 'user1@alt.example.com',
                                      'userpassword': 'password'})))
     except ldap.LDAPError as e:
-        log.fatal('test_ticket48026: Failed to add test user' + USER1_DN + ': error ' + e.message['desc'])
+        log.fatal('test_ticket48026: Failed to add test user' + USER1_DN + ': error {}'.format(e.args[0]['desc']))
         assert False
 
     try:
